---
lang: en
title: 'API docs: http-caching-proxy.httpcachingproxy._constructor_'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.http-caching-proxy.httpcachingproxy._constructor_.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/http-caching-proxy](./http-caching-proxy.md) &gt; [HttpCachingProxy](./http-caching-proxy.httpcachingproxy.md) &gt; [(constructor)](./http-caching-proxy.httpcachingproxy._constructor_.md)

## HttpCachingProxy.(constructor)

Constructs a new instance of the `HttpCachingProxy` class

<b>Signature:</b>

```typescript
constructor(options: ProxyOptions);
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  options | <code>ProxyOptions</code> |  |


